Description: fix gbak -y switch with output redirection
 'gbak -b -y file db stdout | gzip > backup.gz' was broken in 2.5.2
 (works fine in 2.5.1)
Bug: http://tracker.firebirdsql.org/browse/CORE-3995
Origin: upstream, http://sourceforge.net/p/firebird/code/57516/
Origin: upstream, http://sourceforge.net/p/firebird/code/57773/

--- a/src/burp/burp.cpp
+++ b/src/burp/burp.cpp
@@ -1192,9 +1192,12 @@ void BURP_abort()
  **************************************/
 	BurpGlobals* tdgbl = BurpGlobals::getSpecific();
 
-	BURP_print(true, tdgbl->action && tdgbl->action->act_action == ACT_backup_fini ? 351 : 83);
-	// msg 351 Error closing database, but backup file is OK
-	// msg 83 Exiting before completion due to errors
+	if (!tdgbl->uSvc->isService())
+	{
+		BURP_print(true, tdgbl->action && tdgbl->action->act_action == ACT_backup_fini ? 351 : 83);
+		// msg 351 Error closing database, but backup file is OK
+		// msg 83 Exiting before completion due to errors
+	}
 
 	tdgbl->uSvc->started();
 
@@ -1687,7 +1690,8 @@ static gbak_action open_files(const TEXT
 			}
 			if (fil->fil_name == "stdout")
 			{
-				if (tdgbl->action->act_total >= 2 || fil->fil_next || sw_verbose)
+				if (tdgbl->action->act_total >= 2 || fil->fil_next ||
+					(sw_verbose && tdgbl->sw_redirect == NOREDIRECT && tdgbl->uSvc->isService()))
 				{
 					BURP_error(266, true);
 					// msg 266 standard output is not supported when using split operation or in verbose mode
